"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HelixSentChatMessage = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@twurple/common");
/**
 * Information about a sent Twitch chat message.
 */
let HelixSentChatMessage = class HelixSentChatMessage extends common_1.DataObject {
    /**
     * The message ID of the sent message.
     */
    get id() {
        return this[common_1.rawDataSymbol].message_id;
    }
    /**
     * If the message passed all checks and was sent.
     */
    get isSent() {
        return this[common_1.rawDataSymbol].is_sent;
    }
    /**
     * The reason code for why the chat message was dropped, if dropped.
     */
    get dropReasonCode() {
        var _a;
        return (_a = this[common_1.rawDataSymbol].drop_reason) === null || _a === void 0 ? void 0 : _a.code;
    }
    /**
     * The reason message for why the chat message was dropped, if dropped.
     */
    get dropReasonMessage() {
        var _a;
        return (_a = this[common_1.rawDataSymbol].drop_reason) === null || _a === void 0 ? void 0 : _a.message;
    }
};
exports.HelixSentChatMessage = HelixSentChatMessage;
exports.HelixSentChatMessage = HelixSentChatMessage = tslib_1.__decorate([
    (0, common_1.rtfm)('api', 'HelixSentChatMessage', 'id')
], HelixSentChatMessage);
