"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HelixSharedChatSessionParticipant = void 0;
const tslib_1 = require("tslib");
const shared_utils_1 = require("@d-fischer/shared-utils");
const common_1 = require("@twurple/common");
/**
 * A shared chat session participant.
 */
let HelixSharedChatSessionParticipant = class HelixSharedChatSessionParticipant extends common_1.DataObject {
    /** @internal */
    constructor(data, client) {
        super(data);
        this._client = client;
    }
    /**
     * The ID of the participant broadcaster.
     */
    get broadcasterId() {
        return this[common_1.rawDataSymbol].broadcaster_id;
    }
    /**
     * Gets information about the participant broadcaster.
     */
    async getBroadcaster() {
        return (0, common_1.checkRelationAssertion)(await this._client.users.getUserById(this[common_1.rawDataSymbol].broadcaster_id));
    }
};
exports.HelixSharedChatSessionParticipant = HelixSharedChatSessionParticipant;
tslib_1.__decorate([
    (0, shared_utils_1.Enumerable)(false)
], HelixSharedChatSessionParticipant.prototype, "_client", void 0);
exports.HelixSharedChatSessionParticipant = HelixSharedChatSessionParticipant = tslib_1.__decorate([
    (0, common_1.rtfm)('api', 'HelixSharedChatSessionParticipant', 'broadcasterId')
], HelixSharedChatSessionParticipant);
